<form class="form-inline" #ref=ngForm    (ngSubmit)="getDetails(ref.value)">
    <label for="cars" class="mr-sm-2">Select city_id</label>
    <input type="number" name="city_id" ngModel class="form-control mb-2 mr-sm-2">
    <button type="submit" class="btn btn-primary mb-2">Submit</button>
</form>
<h1 *ngIf="status">the predicted citywise sales is {{value}}</h1>